Entities\Album:
    type: entity
    table: albums
    repositoryClass: Repositories\AlbumRepository
    id:
        id:
            type: integer
            generator:
                strategy: AUTO
    fields:
        title:
            type: string
            nullable: false
            length: 30
        descritption:
            type: text
            nullable: true
    oneToOne:
#        galerie:
#            targetEntity: Entities\Gallery
#            mappedBy: album  
        galerie:
            targetEntity: Entities\Galerie
            mappedBy: album  
    oneToMany:
        album_resources:
            targetEntity: Entities\AlbumResource
            mappedBy: album
    lifecycleCallbacks: { }